ExternalResourceModel (VRE Definition Portlet 4.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.admin.vredefinition.shared

## Class ExternalResourceModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.admin.vredefinition.shared.ExternalResourceModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class ExternalResourceModel
      extends com.extjs.gxt.ui.client.data.BaseModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalResourceModel()`
    `ExternalResourceModel(String id, String name, String description, boolean isSelected, String categoryName, String categoryId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategoryId()`
    `String` | `getCategoryName()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSelected()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### ExternalResourceModel

          public ExternalResourceModel()

    - #### ExternalResourceModel

          public ExternalResourceModel(String id,
                               String name,
                               String description,
                               boolean isSelected,
                               String categoryName,
                               String categoryId)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### getCategoryName

          public String getCategoryName()

    - #### getCategoryId

          public String getCategoryId()

    - #### isSelected

          public boolean isSelected()

Copyright © 2015. All Rights Reserved.